Background (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.exec.Background class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.exec
Class Background

    java.lang.Object
      org.hyperic.util.exec.Background

    public class Background

extends java.lang.Object

Class to execute processes in the background. These processes will not exit once the controlling Java process exits.

Constructor Summary
`Background()`

Method Summary
`static void` | `exec(java.lang.String[] cmd)` Execute the command (and its args, ala Runtime.exec), sending the output && error streams to the void.
`static void` | `exec(java.lang.String[] cmd, java.io.File outFile, boolean appendOut, java.io.File errFile, boolean appendErr)` Execute a command (and its args, ala Runtime.exec)
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Background

    public Background()

Method Detail

### exec

    public static void exec(java.lang.String[] cmd)
                     throws java.io.IOException

  Execute the command (and its args, ala Runtime.exec), sending the output && error streams to the void.

  Throws:
    `java.io.IOException`

### exec

    public static void exec(java.lang.String[] cmd,
                            java.io.File outFile,
                            boolean appendOut,
                            java.io.File errFile,
                            boolean appendErr)
                     throws java.io.IOException

  Execute a command (and its args, ala Runtime.exec)

  Parameters:
    `outFile` - File to send standard out from the process to
    `appendOut` - If true, append the file with standard out, else truncate or create a new file
    `errFile` - File to send standard err from the process to
    `appendErr` - If true, append the file with standard error, else truncate or create a new file
  Throws:
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.